Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Interface GVTTreeBuilderListener

All Known Implementing Classes:
  GVTTreeBuilderAdapter, JSVGComponent.SVGListener, JSVGScrollPane.ScrollListener, JSVGViewerFrame

public interface GVTTreeBuilderListener

This interface represents a listener to the GVTTreeBuilderEvent events.

Method Summary
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.

Method Detail

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Called when a build started.

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Called when a build was completed.

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Called when a build was cancelled.

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Called when a build failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.